@use "../abstracts" as *;

.latest-grade {
  grid-area: grade;
  align-self: center;
}
.grade {
  background-color: var(--grade-a);
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 1.2rem 1.6rem;
  border-radius: 1.2rem;
  line-height: 1;
  width: 100%;

  &_mark {
    font-weight: 800;
    opacity: 0.8;
    sup {
      font-size: var(--title2);
      position: relative;
      left: -0.4rem;
    }
  }

  &_info {
    mix-blend-mode: overlay;
    font-weight: 400;
    position: relative;
    top: 0.4rem;
    font-size: 0;
    text-align: right;

    flex-grow: 1;
    width: 0;
  }

  &_category {
    text-align: right;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }

  &_subject {
    opacity: 0.8;
    font-weight: 300;

    font-size: var(--caption2);
    color: var(--grey-300);
  }
}
